[mythtv] Master built on fc25 and el7

John Pilkington J.Pilk at tesco.net
Wed Oct 4 09:50:28 UTC 2017


SL7.4 was released on 2 Oct after a blocking security problem was 
resolved upstream.  That should have brought the SL7x repo back into 
sync with EPEL and allowed me to try a build of mythtv master without 
taking special measures.  I now have rpm builds of 30-Pre-65 for both 
fc25 and SL7 and both seem to run well - although I don't use and 
haven't tested access to the tvdb, which drove the recent changes.

This is the revised 'BuildRequires' stanza for mythnetvision from the 
fc25/el7 specfile. 'Requires' is similar.  There was a suggestion that 
python2-futures might not be needed, but I haven't tried dropping it, or 
either of the fc25 python-requests flavours.

=============

%if %{with mythnetvision}
BuildRequires:  python-pycurl
BuildRequires:  python-lxml
BuildRequires:  python-oauth
BuildRequires:  python2-future
BuildRequires:  python2-futures
%if 0%{?fedora}
BuildRequires:  python-requests-mock
BuildRequires:  python-requests-cache
%else
BuildRequires:  python-requests
%endif

%endif

==============

John P

https://lists.gt.net/mythtv/dev/610964
https://lists.gt.net/mythtv/dev/611156





More information about the mythtv-dev mailing list